package com.ym.mec.biz.dal.entity;


import java.util.Date;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.baomidou.mybatisplus.annotation.TableId;

import java.io.Serializable;

/**
 * 机构代理商人员关系表(TenantProxyUserRelation)表实体类
 *
 * @author hgw
 * @since 2022-04-22 14:08:21
 */
@ApiModel(value = "tenant_proxy_user_relation-机构代理商人员关系表")
public class TenantProxyUserRelation implements Serializable {
    @TableId(value = "id_", type = IdType.AUTO)
    @ApiModelProperty(value = "主键")
    private Integer id;

    @TableField("proxy_id_")
    @ApiModelProperty(value = "代理商id")
    private Integer proxyId;

    @TableField("user_id_")
    @ApiModelProperty(value = "人员id")
    private Integer userId;

    @TableField("parent_id_")
    @ApiModelProperty(value = "父级人员id")
    private Integer parentId;

    @TableField("rank_")
    @ApiModelProperty(value = "等级，负责人是顶级默认0")
    private Integer rank;

    @TableField("create_time_")
    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Integer getUserId() {
        return userId;
    }

    public void setUserId(Integer userId) {
        this.userId = userId;
    }

    public Integer getParentId() {
        return parentId;
    }

    public void setParentId(Integer parentId) {
        this.parentId = parentId;
    }

    public Integer getRank() {
        return rank;
    }

    public void setRank(Integer rank) {
        this.rank = rank;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Integer getProxyId() {
        return proxyId;
    }

    public void setProxyId(Integer proxyId) {
        this.proxyId = proxyId;
    }
}

